% Computes weights for examples in a data set X
function weights_mahalanob(X)
    close all;
    clear all;
    
    X = [];
    X = randn(20, 2);
    X = [X; 2 2];
    W = mahalanobisWeights(X);
    randn('state',0)
    Y = (0.5*randn(20,2) - 4*ones(20,2));
    Y = [Y; -4 -2];
    W = mahalanobisWeights(Y);
    
function W = mahalanobisWeights(X)    
    W = mahal(X,X)
    [C, I] = max(W(1:20));
    plot(X(1:20,1), X(1:20,2), '.b', 'LineWidth', 2);
    hold on;
    plot(X(I,1),X(I,2), '.g', 'LineWidth', 2);
    plot(X(21,1), X(21,2), '.r', 'LineWidth', 2);
    axis([-10 10 -10 10]);
    